From: "Marius Brehler" <marbre@linux.sungazer.de>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: dev-python/ipywidgets/
Date: Wed, 21 Oct 2015 20:58:01 +0000 (UTC) [thread overview]
Message-ID: <1445460858.1ca33fe7783984c74b8427616a08b2bb7a4409aa.marbre@gentoo> (raw)
commit: 1ca33fe7783984c74b8427616a08b2bb7a4409aa
Author: Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
AuthorDate: Wed Oct 21 20:54:18 2015 +0000
Commit: Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
CommitDate: Wed Oct 21 20:54:18 2015 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=1ca33fe7
dev-python/ipywidgets: Version bump to 4.1.0
Package-Manager: portage-2.2.20.1
dev-python/ipywidgets/ChangeLog | 6 +++++
dev-python/ipywidgets/ipywidgets-4.1.0.ebuild | 37 +++++++++++++++++++++++++++
2 files changed, 43 insertions(+)
diff --git a/dev-python/ipywidgets/ChangeLog b/dev-python/ipywidgets/ChangeLog
index 7b0819d..59829f9 100644
--- a/dev-python/ipywidgets/ChangeLog
+++ b/dev-python/ipywidgets/ChangeLog
@@ -2,6 +2,12 @@
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
# $Id$
+*ipywidgets-4.1.0 (21 Oct 2015)
+
+ 21 Oct 2015; Marius Brehler <marbre@linux.sungazer.de>
+ +ipywidgets-4.1.0.ebuild:
+ dev-python/ipywidgets: Version bump to 4.1.0
+
03 Sep 2015; Sean Vig <sean.v.775@gmail.com> ipywidgets-4.0.3,
ipywidgets-9999.ebuild:
dev-python/ipywidgets: Add javascript tests
diff --git a/dev-python/ipywidgets/ipywidgets-4.1.0.ebuild b/dev-python/ipywidgets/ipywidgets-4.1.0.ebuild
new file mode 100644
index 0000000..dea538d
--- /dev/null
+++ b/dev-python/ipywidgets/ipywidgets-4.1.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
+
+inherit distutils-r1
+
+DESCRIPTION="IPython HTML widgets for Jupyter"
+HOMEPAGE="http://ipython.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+ dev-python/traitlets[${PYTHON_USEDEP}]
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ "
+DEPEND="${RDEPEND}
+ test? (
+ $(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' python2_7)
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/coverage[${PYTHON_USEDEP}]
+ www-client/casperjs
+ )
+ "
+
+python_test() {
+ nosetests --with-coverage --cover-package=ipywidgets ipywidgets || die
+
+ "${PYTHON}" -m ipywidgets.jstest || die
+}
next reply other threads:[~2015-10-21 20:58 UTC|newest]
Thread overview: 19+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-10-21 20:58 Marius Brehler [this message]
-- strict thread matches above, loose matches on Subject: below --
2020-09-21 23:28 [gentoo-commits] proj/sci:master commit in: dev-python/ipywidgets/ Aisha Tammy
2017-01-03 10:31 Marius Brehler
2016-07-27 12:17 Marius Brehler
2016-07-27 12:17 Marius Brehler
2016-05-23 15:38 Marius Brehler
2016-05-23 15:38 Marius Brehler
2016-05-17 15:36 Marius Brehler
2016-05-17 15:36 Marius Brehler
2015-11-28 17:58 Marius Brehler
2015-11-11 17:12 Justin Lecher
2015-10-27 9:17 Justin Lecher
2015-10-21 13:44 Justin Lecher
2015-09-23 10:19 Justin Lecher
2015-09-22 10:06 Justin Lecher
2015-09-22 7:22 Justin Lecher
2015-09-22 7:22 Justin Lecher
2015-09-04 5:46 Justin Lecher
2015-09-01 7:57 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1445460858.1ca33fe7783984c74b8427616a08b2bb7a4409aa.marbre@gentoo \
--to=marbre@linux.sungazer.de \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox